Bug 101243 - Clicking "Slide Master" button second time does not return view mode to "Normal"
Summary: Clicking "Slide Master" button second time does not return view mode to "Normal"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UNO-Command-New Master-Slide-View
  Show dependency treegraph
 
Reported: 2016-08-01 08:33 UTC by iremsendur
Modified: 2019-04-08 02:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iremsendur 2016-08-01 08:33:35 UTC
When I click Slide Master button in the toolbar, it changes slide master mode. But when I click Slide Master button for the second time, it does not change to Normal mode.

Expecting behavior: it should be change to normal mode. Slide master button should be toggle.
Comment 1 Gülşah Köse 2016-08-01 08:38:04 UTC
Reproducible. It is hard to know to View->Normal for end user. Toggle button is more practical.
Comment 2 Yousuf Philips (jay) (retired) 2016-09-22 00:01:03 UTC
Users have the option to click the 'Close Master View' button and select 'Normal' in the Display Mode group button in the toolbar, but it would be nicer if it was a toggle button similar to Print Preview, but doubt it would be possible as it is a view type and no other view types in the View menu have a toggle type behaviour.

Ideally a new toggle type uno command for opening and closing master slide mode should be created.
Comment 3 Gülşah Köse 2016-09-22 18:39:38 UTC
@Yousuf: İrem is working on it https://gerrit.libreoffice.org/#/c/28217/
Comment 4 Xisco Faulí 2017-09-29 08:50:24 UTC Comment hidden (obsolete)
Comment 5 Telesto 2018-04-07 18:03:19 UTC
No repro
Version: 6.1.0.0.alpha0+
Build ID: d39a8e791618a40328c0f90bece3cc246dcf57f7
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-05_23:46:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 6 QA Administrators 2019-04-08 02:45:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug